import { EventEmitter } from '../../stencil.core';
import { CoordinateData } from '../../types/types';
export declare class Chart {
    private axisConfigs;
    private columns;
    private creationTimer;
    private lines;
    private inited;
    private xAxisElement;
    private yAxisElement;
    private popover;
    private seriesMeta;
    private service;
    private eventsService;
    private stackedColumns;
    private stackedData;
    private primarySeries;
    private secondarySeries;
    private primaryComponents;
    private secondaryComponents;
    private popoverData;
    private static creationDebounceLength;
    element: HTMLElement;
    multiSeries: boolean;
    popoverComponent: any;
    /**
     * Emitted when the use hovers over a data point or series of them
     */
    anjHover: EventEmitter<CoordinateData[]>;
    componentWillLoad(): void;
    connectedCallback(): Promise<void>;
    disconnectedCallback(): void;
    onSeriesLoaded(): Promise<void>;
    onXAxisLoaded({ target, detail }: {
        target: any;
        detail: any;
    }): void;
    handleResize(): Promise<void>;
    addLineEvents(svg: any, chartOverlay: any, x: any, data: any): any;
    addColumnEvents(svgBars: any, data: any): any;
    addStackedEvents(svg: any, bars: any): any;
    private appendSVG;
    private debounceCreation;
    create(): Promise<any>;
    private hydratePrimaryComponents;
    private hydrateSecondaryComponents;
    private hydrateColumns;
    private hydrateLinesPrimary;
    private hydrateLinesSecondary;
    private hydrateStackedColumns;
    private hydrateXAxis;
    private hydrateYAxis;
    private initRender;
    private loadSeries;
    private clearChart;
    render(): any[];
}
