export interface ActiveData {
    activeIndex: number;
    axisConfigs: AxisConfigs;
    data: CoordinateData[][];
    seriesStyle: SeriesStyle;
    seriesMeta: SeriesMeta[];
}
export interface AxisConfig {
    showAxis?: boolean;
    showTicks?: boolean;
    labelType?: FormatType;
    formattingOptions?: DataFormattingOptions;
}
export interface AxisConfigs {
    x: AxisConfig;
    y: AxisConfig;
}
export interface ChartStyle {
    stroke?: string | string[];
    fill?: string | string[];
    aggregateLineColor?: string;
}
export interface CoordinateData {
    x: string | Date | number;
    y: string | number;
}
export interface DataFormattingOptions {
    locale?: string;
    language?: string;
    currency?: string;
}
export interface Delta {
    value: number;
    period: any;
}
export interface Dims {
    height: number;
    width: number;
    margin?: {
        top?: number;
        bottom?: number;
        left?: number;
        right?: number;
    };
}
export interface SeriesMeta {
    color: string;
    name: string;
}
export declare enum SeriesStyle {
    Multi = 0,
    Single = 1
}
export declare enum SeriesType {
    Line = "line",
    Column = "column",
    Stacked = "stacked"
}
export declare enum TimeInterval {
    Monthly = "monthly",
    Yearly = "yearly",
    Weekly = "weeks",
    Daily = "daily"
}
export declare type AxisDimension = 'x' | 'y';
export declare type FormatType = 'date' | 'number' | 'string' | 'percent' | 'currency';
